petsc-3.4.2 2013-07-02

# SNESTSFormFunction

Function to evaluate nonlinear residual

### Synopsis

    #include "petscts.h"
    PetscErrorCode  SNESTSFormFunction(SNES snes,Vec U,Vec F,void *ctx)

Logically Collective on SNES

### Input Parameter

| snes | - nonlinear solver
| U | - the current state at which to evaluate the residual
| ctx | - user context, must be a TS

### Output Parameter

F -the nonlinear residual

### Notes

This function is not normally called by users and is automatically registered with the SNES used by TS. It is most frequently passed to MatFDColoringSetFunction().

### See Also

SNESSetFunction(), MatFDColoringSetFunction()

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages